<template>
  <WeatherReport/>
</template>

<script lang="ts">
import { Options, Vue } from 'vue-class-component';

import WeatherReport from './components/weather-report/weather-report.vue';

@Options({
  components: { WeatherReport },
})
export default class App extends Vue {}
</script>

<style lang="scss">
*{
  box-sizing: border-box;
}

#app {
  font-family: 'Roboto', Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;
  display: flex;
  justify-content: center;
}

h1, h2, p {
  margin: 2px 0;
  color: white;
  font-weight: 400;
}

h1 {
  font-size: 25px;
  line-height: 29.3px;
}

h2 {
  font-size: 20px;
  line-height: 23.44px;
}

p {
  font-size: 15px;
  line-height: 17.58px;
  height: 18px;
}

img {
  #fill {
    color: white;
  }
}
</style>
